<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Wed Oct 06 19:02:48 CEST 2021 -->
<title>Shape</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-10-06">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Shape";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">fr.ubo.tetris</a></div>
<h2 title="Class Shape" class="title">Class Shape</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.ubo.tetris.Shape</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Shape</span>
extends java.lang.Object</pre>
<div class="block">Project : Tetris <br/>
 Package : fr.isen.tetris <br/>
 Nom : Shape <br/>
 
 Description : Classe représentant une forme géométrique <br/>
 Possède une liste finie définie dans l'énumération imbriquée Tetrominoes</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>zetcode.com</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Shape</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructeur</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="Tetrominoes.html" title="enum in fr.ubo.tetris">Tetrominoes</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getShape()">getShape</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#minX()">minX</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#minY()">minY</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="Shape.html" title="class in fr.ubo.tetris">Shape</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rotateLeft()">rotateLeft</a></span>()</code></th>
<td class="colLast">
<div class="block">Effectue une rotation de la pièce sur la gauche</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="Shape.html" title="class in fr.ubo.tetris">Shape</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rotateRight()">rotateRight</a></span>()</code></th>
<td class="colLast">
<div class="block">Effectue une rotation de la pièce sur la droite</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRandomShape()">setRandomShape</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de créer une pièce aléatoirement</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setShape(fr.ubo.tetris.Tetrominoes)">setShape</a></span>&#8203;(<a href="Tetrominoes.html" title="enum in fr.ubo.tetris">Tetrominoes</a>&nbsp;shape)</code></th>
<td class="colLast">
<div class="block">Positionne une pièce précise</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#x(int)">x</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Donne la position horizontale d'un bloc de cette pièce pour un index donné</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#y(int)">y</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Donne la position verticale d'un bloc de cette pièce pour un index donné</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Shape</h4>
<pre>public&nbsp;Shape()</pre>
<div class="block">Constructeur</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getShape()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShape</h4>
<pre class="methodSignature">public&nbsp;<a href="Tetrominoes.html" title="enum in fr.ubo.tetris">Tetrominoes</a>&nbsp;getShape()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the shape</dd>
</dl>
</li>
</ul>
<a id="minX()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minX</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;minX()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la position la plus à gauche de cette pièce</dd>
</dl>
</li>
</ul>
<a id="minY()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minY</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;minY()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la position la plus basse de cette pièce</dd>
</dl>
</li>
</ul>
<a id="rotateLeft()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateLeft</h4>
<pre class="methodSignature">public&nbsp;<a href="Shape.html" title="class in fr.ubo.tetris">Shape</a>&nbsp;rotateLeft()</pre>
<div class="block">Effectue une rotation de la pièce sur la gauche</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la pièce avec ces nouvelles coordonnées</dd>
</dl>
</li>
</ul>
<a id="rotateRight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateRight</h4>
<pre class="methodSignature">public&nbsp;<a href="Shape.html" title="class in fr.ubo.tetris">Shape</a>&nbsp;rotateRight()</pre>
<div class="block">Effectue une rotation de la pièce sur la droite</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la pièce avec ces nouvelles coordonnées</dd>
</dl>
</li>
</ul>
<a id="setRandomShape()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRandomShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRandomShape()</pre>
<div class="block">Permet de créer une pièce aléatoirement</div>
</li>
</ul>
<a id="setShape(fr.ubo.tetris.Tetrominoes)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setShape&#8203;(<a href="Tetrominoes.html" title="enum in fr.ubo.tetris">Tetrominoes</a>&nbsp;shape)</pre>
<div class="block">Positionne une pièce précise</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shape</code> - la pièce à créer</dd>
</dl>
</li>
</ul>
<a id="x(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>x</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;x&#8203;(int&nbsp;index)</pre>
<div class="block">Donne la position horizontale d'un bloc de cette pièce pour un index donné</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - l'index du bloc que l'on cherche</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la position horizontale de ce bloc</dd>
</dl>
</li>
</ul>
<a id="y(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>y</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;y&#8203;(int&nbsp;index)</pre>
<div class="block">Donne la position verticale d'un bloc de cette pièce pour un index donné</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - l'index du bloc que l'on cherche</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la position verticale de ce bloc</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
